#
# Oracle default settings for all users
#

VERSION="10.2.0"

# Oracle Instance System Identificator
#ORACLE_SID=${ORACLE_SID:-default_db}
#export ORACLE_SID

# Directory at the top of the Oracle Software and
# administrative file structure.
ORACLE_BASE=${ORACLE_BASE:-/opt/oracle}
export ORACLE_BASE

# Directory containing Oracle software for a given ORACLE_SID. 
ORACLE_HOME=${ORACLE_HOME:-$ORACLE_BASE/product/$VERSION/db_1}
export ORACLE_HOME

# Directory where documentation will be installed.
ORACLE_DOC=${ORACLE_DOC:-$ORACLE_BASE/doc}
export ORACLE_DOC

# Location of National Language Support character set data.
#ORA_NLS33=$ORACLE_HOME/ocommon/nls/admin/data
#export ORA_NLS33

# Language, territory and character set of the client environment.
#NLS_LANG=AMERICAN_AMERICA.US7ASCII	# default
#NLS_LANG=RUSSIAN_CIS.UTF8		 	# Unicode when used directory service
#NLS_LANG=RUSSIAN_CIS.CL8KOI8R	 	# Unix-like cyrillic charset
#NLS_LANG=RUSSIAN_CIS.RU8PC866	 	# DOS-like cyrillic charset
#NLS_LANG=RUSSIAN_CIS.CL8MSWIN1251	# Windows-like cyrillic charset
NLS_LANG=${NLS_LANG:-AMERICAN_AMERICA.US7ASCII}
export NLS_LANG

# Shell's search path for executables.
PATH=$PATH:$ORACLE_HOME/bin
export PATH

LD_LIBRARY_PATH=$ORACLE_HOME/lib:$LD_LIBRARY_PATH
export LD_LIBRARY_PATH
